Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 883502 - Cannot import pylab
Summary: Cannot import pylab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-matplotlib
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-04 18:18 UTC by Andrew McNabb
Modified: 2013-01-12 00:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 00:33:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Andrew McNabb 2012-12-04 18:18:42 UTC
With python-matplotlib-1.2.0-4.fc18.x86_64, importing pylab gives an ImportError:

ImportError: No module named backend_tkagg

If pylab is unsupported due to a missing dependency, then pylab.py should not be included in the RPM. If pylab should be able to work even without backend_tkagg, then matplotlib should be patched to not try to load this backend.

Comment 1 Paulo Andrade 2012-12-04 19:22:37 UTC
Thanks for the bug report. I did the update to python-matplotlib-1.2.0
and this was not properly tested. Right now I suggest either installing
python-matplotlib-tk or running something like:
$ echo "backend: gtk" >> ~/.matplotlib/matplotlibrc

I will try to make a newer update to correct this issue (using tk
as default backend and splitting it in a separate package).

Comment 2 Paulo Andrade 2012-12-05 01:36:28 UTC
I did build f18 and rawhide test packages and this problem has
been fixed. The main cause was that it did not default to the
gtk backend because setup.py was failing to "detect" a working
pytgk, wrapping it with xvfb-run corrected the problem.
I also update the package slightly to correct a bug in the tk
detection patch and reenabled the wx backend, that is supported
only in the python2 build. Also in the commit I did split the
qt4 backend and added proper requires.

Comment 3 Fedora Update System 2012-12-05 03:02:46 UTC
python-matplotlib-1.2.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-matplotlib-1.2.0-5.fc18

Comment 4 Fedora Update System 2012-12-05 23:14:41 UTC
Package python-matplotlib-1.2.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-matplotlib-1.2.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19809/python-matplotlib-1.2.0-5.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-12 00:33:55 UTC
python-matplotlib-1.2.0-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.